lapm_state_t Struct Reference

`#include <v42.h>`

## Public Attributes

get_msg_func_t | iframe_get
void * | iframe_get_user_data
put_msg_func_t | iframe_put
void * | iframe_put_user_data
modem_status_func_t | status_handler
void * | status_user_data
hdlc_rx_state_t | hdlc_rx
hdlc_tx_state_t | hdlc_tx
uint8_t | tx_window_size_k
uint8_t | rx_window_size_k
uint16_t | tx_n401
uint16_t | rx_n401
uint8_t | cmd_addr
uint8_t | rsp_addr
uint8_t | vs
uint8_t | va
uint8_t | vr
int | state
int | configuring
int | local_busy
int | far_busy
int | rejected
int | retry_count
int | ctrl_put
int | ctrl_get
v42_frame_t | ctrl_buf [8]
int | info_put
int | info_get
int | info_acked
v42_frame_t | info_buf [(15+1)]
void(* | packer_process )(v42_state_t *m, int bits)

## Detailed Description

LAP-M descriptor. This defines the working state for a single instance of LAP-M.

## Member Data Documentation

## tx_window_size_k

uint8_t lapm_state_t::tx_window_size_k

Negotiated values for the window and maximum info sizes

The documentation for this struct was generated from the following file:

- private/v42.h